=== debian/changelog ===
qt6ct (0.5-4ubuntu1) kinetic; urgency=medium

  * Disable LTO to fix build on amd64.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Oct 2022 10:43:57 +0100

qt6ct (0.5-4build1) kinetic; urgency=medium

  * No change rebuild against qt6-base-abi (= 6.3.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Aug 2022 14:49:51 +0100

qt6ct (0.5-4) unstable; urgency=medium

  * Fix crossbuilds

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 07 Aug 2022 12:00:00 +0100

qt6ct (0.5-3) unstable; urgency=medium

  [ Peter Blackman ]
  * Mention the README in the man page
  * Use SPDX licence name
  * Add Salsa VCS repository

  [ Boyuan Yang ]
  * debian/control: Do not mark package as Multi-Arch: foreign.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Aug 2022 17:02:17 -0400

qt6ct (0.5-2) unstable; urgency=high

  * Add missing dependency qt6-qpa-plugins

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 22 Jul 2022 20:30:00 +0100

qt6ct (0.5-1) unstable; urgency=medium

  * Initial release. Closes: #1015863

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 22 Jul 2022 17:00:00 +0100
