=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto


# Extra hardening flags with cmake
export DEB_CXXFLAGS_MAINT_APPEND = -fpie
export DEB_LDFLAGS_MAINT_APPEND  = -z relro -pie -fPIE


# Move plugins for cross builds
execute_after_dh_auto_install:
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	mkdir -pv debian/qt6ct/usr/lib/$(DEB_HOST_GNU_TYPE)/qt6/plugins
	mv -v debian/qt6ct/usr/lib/$(DEB_BUILD_GNU_TYPE)/qt6/plugins/* \
	       debian/qt6ct/usr/lib/$(DEB_HOST_GNU_TYPE)/qt6/plugins
	rm -rf debian/qt6ct/usr/lib/$(DEB_BUILD_GNU_TYPE)
endif


%:
	dh $@
