=== debian/changelog ===
qt6ct (0.7-3) unstable; urgency=medium

  * Remove unneeded dependency on qt6-qpa-plugins. Closes: #1026958
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 29 Dec 2022 12:00:00 +0000

qt6ct (0.7-2) unstable; urgency=medium

  * Remove unneeded build flags

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 02 Dec 2022 11:00:00 +0000

qt6ct (0.7-1) unstable; urgency=medium

  * New Upstream release

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 16 Nov 2022 18:00:00 +0000

qt6ct (0.6-2) unstable; urgency=medium

  * Disable LTO (breaks build if enabled)

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 26 Oct 2022 20:00:00 +0100

qt6ct (0.6-1) unstable; urgency=medium

  * New Upstream release
  * Fix 'qt5' typos in the man page

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 02 Oct 2022 12:11:09 +0100
