=== debian/control ===
Source: qt6ct
Section: utils
Priority: optional
Maintainer: Peter Blackman <peter@pblackman.plus.com>
Build-Depends: cmake, debhelper-compat (= 13),
 qt6-tools-dev, qt6-base-private-dev
Standards-Version: 4.6.2
Homepage: https://github.com/trialuser02/qt6ct
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/qt6ct
Vcs-Git: https://salsa.debian.org/debian/qt6ct.git

Package: qt6ct
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libqt6svg6
Description: Qt6 Configuration Tool
 Allows users to configure Qt6 settings (theme, font, icons, etc.)
 under DE/WM without Qt integration.
