=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,6 @@
 
 export DH_VERBOSE = 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
-
-
-# Extra hardening flags with cmake
-export DEB_CXXFLAGS_MAINT_APPEND = -fpie
-export DEB_LDFLAGS_MAINT_APPEND  = -z relro -pie -fPIE
-
 
 # Move plugins for cross builds
 execute_after_dh_auto_install:
@@ -20,6 +14,5 @@
 	rm -rf debian/qt6ct/usr/lib/$(DEB_BUILD_GNU_TYPE)
 endif
 
-
 %:
 	dh $@
