## qt6ct 0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,9 +12,10 @@
 ADD_CUSTOM_TARGET(uninstall
   "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
 
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_VISIBILITY_PRESET hidden)
+set(CMAKE_C_VISIBILITY_PRESET hidden)
 set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
@@ -55,7 +56,11 @@
 message(STATUS "Generating translations ...")
 execute_process(COMMAND find ${CMAKE_CURRENT_SOURCE_DIR} -name *.ts COMMAND xargs ${QT_LRELEASE_EXECUTABLE} -silent)
 
+include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/qt6ct-common)
+
+add_link_options(-Wl,--no-undefined)
 add_subdirectory(src/qt6ct)
+add_subdirectory(src/qt6ct-common)
 add_subdirectory(src/qt6ct-qtplugin)
 add_subdirectory(src/qt6ct-style)
