=== src/qt6ct/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
   paletteeditdialog.cpp
   qsseditordialog.cpp
   qsspage.cpp
-  qt6ct.cpp
   tabpage.cpp
   troubleshootingpage.cpp
   appearancepage.ui
@@ -29,6 +28,6 @@
 )
 
 add_executable(qt6ct ${app_SRCS})
-target_link_libraries(qt6ct PRIVATE Qt6::Widgets Qt6::WidgetsPrivate)
+target_link_libraries(qt6ct PRIVATE Qt6::Widgets Qt6::WidgetsPrivate qt6ct-common)
 install(TARGETS qt6ct DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES qt6ct.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
