=== debian/changelog ===
qt6ct (0.8-1) unstable; urgency=medium

  * New Upstream release
  * Drop desktop patch adopted upstream

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 12 Mar 2023 14:00:00 +0000
