=== src/qt6ct-common/CMakeLists.txt ===
--- 
+++ 
@@ -26,5 +26,5 @@
 
 add_library(qt6ct-common SHARED ${app_SRCS})
 set_target_properties(qt6ct-common PROPERTIES VERSION ${QT6CT_VERSION})
-target_link_libraries(qt6ct-common PRIVATE Qt6::Widgets)
+target_link_libraries(qt6ct-common PRIVATE Qt6::Gui)
 install(TARGETS qt6ct-common DESTINATION ${CMAKE_INSTALL_LIBDIR})
