=== debian/changelog ===
qt6ct (0.9-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:25:37 +1100

qt6ct (0.9-2build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:02:55 +0000

qt6ct (0.9-2) unstable; urgency=medium

  * Add licenserecon to Salsa CI

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 03 Jan 2024 10:00:00 +0100

qt6ct (0.9-1) unstable; urgency=medium

  * New Upstream release
  * Drop reproducible build patch adopted upstream

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 26 Sep 2023 22:00:00 +0100

qt6ct (0.8-2) unstable; urgency=medium

  * Fix reproducible build

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 31 Aug 2023 21:00:00 +0000
