=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6ct
 Section: utils
 Priority: optional
-Maintainer: Peter Blackman <peter@pblackman.plus.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter Blackman <peter@pblackman.plus.com>
 Build-Depends: cmake, debhelper-compat (= 13),
  qt6-tools-dev, qt6-base-private-dev
 Standards-Version: 4.6.2
