=== debian/watch ===
version=4
https://github.com/trialuser02/qt6ct/tags .*/v?(\d\S+)\.tar\.gz
