=== src/qt6ct-style/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,4 @@
 project(qt6ct-style)
-
-add_definitions(-DUSE_WIDGETS)
 
 set(app_SRCS
   plugin.cpp
