=== debian/changelog ===
qt6ct (0.10-2build2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 07:48:10 +0100

qt6ct (0.10-2build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:06:04 -0500

qt6ct (0.10-2) unstable; urgency=medium

  * Fix FTCBFS: Drop cross building workaround fixed by qtpaths6. 
  *  (Closes: 1095960)  (Thanks Helmut Grohne)

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 14 Feb 2025 11:25:45 +0000

qt6ct (0.10-1) unstable; urgency=medium

  * New Upstream release (Closes: #1025350)
  * Switched upstream to active fork (original archived)

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 06 Feb 2025 12:25:34 +0000
