=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Peter Blackman <peter@pblackman.plus.com>
 Build-Depends: cmake, debhelper-compat (= 13),
  qt6-tools-dev, qt6-base-private-dev
-Standards-Version: 4.6.2
-Homepage: https://github.com/trialuser02/qt6ct
+Standards-Version: 4.7.0
+Homepage: https://github.com/ilya-fedin/qt6ct
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/qt6ct
 Vcs-Git: https://salsa.debian.org/debian/qt6ct.git
