## qt6ct 0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
-cmake_minimum_required(VERSION 3.16.0)
+cmake_minimum_required(VERSION 3.18.0)
 
 project(qt6ct LANGUAGES CXX)
+
+if(POLICY CMP0175)
+    cmake_policy(SET CMP0175 NEW)
+endif()
 
 include(GNUInstallDirs)
 
@@ -20,14 +24,18 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_AUTOUIC ON)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_BUILD_RPATH_USE_ORIGIN ON)
+set(QT_NO_PRIVATE_MODULE_WARNING ON)
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060200 -DUSE_WIDGETS -DQT_DEPRECATED_WARNINGS -DQT_MESSAGELOGCONTEXT)
+add_compile_options(-Wall -Wextra)
+include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
 
-find_package(Qt6 REQUIRED COMPONENTS BuildInternals Core Gui OPTIONAL_COMPONENTS Widgets QuickControls2 LinguistTools)
-find_package(KF6Config)
-find_package(KF6ColorScheme)
-find_package(KF6IconThemes)
+find_package(Qt6 6.2 CONFIG REQUIRED COMPONENTS BuildInternals Core Widgets OPTIONAL_COMPONENTS LinguistTools)
+if(Qt6_VERSION VERSION_GREATER_EQUAL 6.10)
+    find_package(Qt6 6.10 CONFIG REQUIRED COMPONENTS WidgetsPrivate GuiPrivate)
+endif()
 
 get_target_property(QT_QTPATHS_EXECUTABLE Qt6::qtpaths IMPORTED_LOCATION)
 
@@ -72,12 +80,10 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/qt6ct-common)
 
 add_link_options(-Wl,--no-undefined)
+add_subdirectory(src/qt6ct)
 add_subdirectory(src/qt6ct-common)
 add_subdirectory(src/qt6ct-qtplugin)
-if(Qt6Widgets_FOUND)
-    add_subdirectory(src/qt6ct-style)
-    add_subdirectory(src/qt6ct)
-endif()
+add_subdirectory(src/qt6ct-style)
 
 install(DIRECTORY qss DESTINATION ${CMAKE_INSTALL_DATADIR}/qt6ct)
 install(DIRECTORY colors DESTINATION ${CMAKE_INSTALL_DATADIR}/qt6ct)
@@ -86,6 +92,7 @@
     add_custom_target(distclean @echo cleaning for source distribution)
 
     add_custom_command(
+        POST_BUILD
         COMMENT "distribution clean"
         COMMAND make
         ARGS -C ${CMAKE_CURRENT_BINARY_DIR} clean
