=== debian/changelog ===
qt6ct (0.11-2) unstable; urgency=medium

  * Update man page
  * Update upstream/metadata

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 06 Oct 2025 15:06:35 +0100

qt6ct (0.11-1) unstable; urgency=medium

  * Update debian/watch to Version: 5
  * New upstream version 0.11
  * Update standards to 4.7.2 and remove Rules-Require-Root
  * Update HomePage and Upstream Author

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 05 Oct 2025 21:01:40 +0100
