=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://www.opencode.net/trialuser/@PACKAGE@
